1. Directory
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
        GET
      • Roles List
        GET
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Directory

Users List

GET
https://backend.networked.co/api/v1/admin/community/users

👥 Get Community Users#

Description#

This API retrieves a paginated list of users in a given community. It includes both active and inactive members, their roles, status, and permissions.
HTTP Method: GET
Endpoint: api/v1/admin/community/users?start=0&count=30&showInActive=true&sortType=recent

Request Details#

Headers#

KeyTypeRequiredDescription
x-api-keystringYesAPI key provided by the Networked Team.

Query Parameters#

ParametersTypeRequiredDescription
sortTypetextNo"recent"
keywordtextNoKeyword match in name, email, or about fields
personNametextNoFilter users by name
titletextNoJob title from user profile
primaryCompanytextNoUser’s primary company name
primarySchooltextNoUser’s primary school name
locationtextNoUser's current location
latitudetextNoLatitude value for geographic filtering
longitudetextNoLongitude value for geographic filtering
industry[0]textNoIndustry ID associated with the user
expertise[0]textNoExpertise ID associated with the user
employmentTypetextNoEmployment type: Full-time, Part-time, Self-employed, etc.
expNametextNoName of the company in experience
expTitletextNoTitle in the experience section
expLocationtextNoLocation of the experience
expDescriptiontextNoDescription of the experience
expStartDatetextNoStart date of experience in timestamp format
currentlyWorkingtextNoSet true if user is currently working (default is false)
eduNametextNoEducation institution name
eduDegreetextNoEducation degree (e.g., Graduate, Postgraduate)
eduFieldOfStudytextNoMajor/field of study
eduDescriptiontextNoDescription of the education
currentlyStudyingtextNoSet true if currently studying (default is false)

Sample Response#

{
  "data": {
    "totalUsers": 1,
    "start": 0,
    "count": 1,
    "nextStart": false,
    "content": [
      {
        "name": "user123",
        "email": "user123@yopmail.com",
        "image": "",
        "userId": "6836fc8db386c90012787b69",
        "industries": [],
        "isActive": true,
        "affiliatedTag": {
          "id": "67959032bc6bea0012fdc676",
          "name": "Moderator",
          "roleType": 1
        },
        "status": 1,
        "memberSince": 1748434061353,
        "isGroupAdmin": false,
        "isGroupOwner": false,
      }
    ]
  },
  "error": false,
  "message": "Operation completed successfully"
}

Response Interface#


Response Field Descriptions#

KeyTypeDescription
data.totalUsersnumberTotal number of users in the community.
data.startnumberThe current pagination start index.
data.countnumberNumber of users returned in this request.
data.nextStartnumber / booleanIndicates the next start index for pagination or false if no more data.
data.contentarrayList of user objects with full metadata.
content[].namestringName of the user.
content[].emailstringEmail address of the user.
content[].imagestringURL to the user’s profile picture.
content[].userIdstringUnique identifier for the user.
content[].industriesarrayIndustries associated with the user.
content[].isActivebooleanIndicates if the user is currently active.
content[].affiliatedTag.idstringID of the user's role or tag.
content[].affiliatedTag.namestringName of the user's role or tag (e.g., Moderator).
content[].affiliatedTag.roleTypenumberType of role assigned to the user.
content[].statusnumberInternal status code for the user.
content[].memberSincenumberTimestamp indicating when the user joined the community.
content[].inGroupbooleanIndicates if the user is part of any group.
content[].isGroupAdminbooleanIndicates if the user is an admin of any group.
content[].isGroupOwnerbooleanIndicates if the user is the owner of any group.
content[].canSendMessagebooleanWhether the user has permission to send messages.
errorbooleanfalse indicates the operation was successful.
messagestringA message describing the response outcome.

Reference#

🔗 Response Codes

Notes#

Pagination should be handled using start, count, and nextStart values.
affiliatedTag helps define the user's role and access scope within the community.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/admin/community/users?start=0&count=30&sortType=recent' \
--header 'x-api-key: <your-api-key>'
Response Response Example
{
    "data": {
        "totalUsers": 2,
        "start": 0,
        "count": 2,
        "nextStart": false,
        "content": [
            {
                "name": "user123",
                "email": "user123@yopmail.com",
                "image": "",
                "userId": "6836fc8db386c90012787b69",
                "industries": [],
                "isActive": true,
                "affiliatedTag": {
                    "id": "67959032bc6bea0012fdc676",
                    "name": "Moderator",
                    "roleType": 1
                },
                "status": 1,
                "memberSince": 1748434061353,
                "isGroupAdmin": false,
                "isGroupOwner": false
            },
            {
                "name": "may28.02",
                "email": "may28.02@yopmail.com",
                "image": "",
                "userId": "683697d3b386c9001278775a",
                "industries": [],
                "isActive": true,
                "affiliatedTag": {
                    "id": "67959032bc6bea0012fdc676",
                    "name": "Moderator",
                    "roleType": 1
                },
                "status": 1,
                "memberSince": 1748408275194,
                "isGroupAdmin": false,
                "isGroupOwner": false
            }
        ]
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-15 12:20:20
Previous
Directory
Next
Roles List
Built with